package com.rit.ems.model;

import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

@Entity
@Table(name = "ems_institutional_events")
public class InstitutionalEvent {
    @Id
    private String id;
    
    private String name;
    private String month;
    private String semester;

    public InstitutionalEvent() {}

    public InstitutionalEvent(String id, String name, String month, String semester) {
        this.id = id;
        this.name = name;
        this.month = month;
        this.semester = semester;
    }

    public String getId() { return id; }
    public void setId(String id) { this.id = id; }

    public String getName() { return name; }
    public void setName(String name) { this.name = name; }

    public String getMonth() { return month; }
    public void setMonth(String month) { this.month = month; }

    public String getSemester() { return semester; }
    public void setSemester(String semester) { this.semester = semester; }
}
